[xmonad] how to install xmonad-utils

Adam Vogt vogt.adam at gmail.com
Sun Mar 8 16:51:27 EDT 2009

It looks like the Utils module somehow got left out of that package because
xmonad-utils-0.1 does have a small Utils module.

I would blame the author or the person who uploaded it to hackage.  
Alternatively, you could try putting the Utils.hs from 0.1 in the 0.1.1 
src/ directory and hope that it builds.

* On Monday, March 09 2009, Santanu Chatterjee wrote:

>Hi everybody,
>A few moments ago, I found out about cabal while trying to install
>xmonad in fedora10. xmonad is now up and running. Then I tried
>exploring cabal, and tried installing xmonad-utils using it. But I am
>getting the following error:
>[sc at yoda xmonad-utils-0.1.1]$ cabal install xmonad-utils
>Resolving dependencies...
>Configuring xmonad-utils-0.1.1...
>Preprocessing executables for xmonad-utils-0.1.1...
>Building xmonad-utils-0.1.1...
>[1 of 1] Compiling Main             ( src/Hxsel.hs,
>dist/build/hxsel/hxsel-tmp/Main.o )
>Linking dist/build/hxsel/hxsel ...
>[1 of 1] Compiling Main             ( src/Hxput.hs,
>dist/build/hxput/hxput-tmp/Main.o )
>Linking dist/build/hxput/hxput ...
>    Could not find module `Utils':
>      Use -v to see a list of the files searched for.
>cabal: Error: some packages failed to install:
>xmonad-utils-0.1.1 failed during the building phase. The exception was:
>exit: ExitFailure 1
>Is it a bug or am I missing something? I have close to zero knowledge
>of haskell, but I am trying to learn it.
>My ghc version is 6.8.3.
>Contents of cabal packages directory:
>[sc at yoda xmonad-utils-0.1.1]$ ls ~/.cabal/packages/hackage.haskell.org/
>00-index.tar     build-reports.log  ghc-paths  MonadCatchIO-mtl
>utf8-string  X11-xft  xmonad          xmonad-eval
>00-index.tar.gz  conjure            hint       Unixutils         X11
>       xmobar   xmonad-contrib  xmonad-utils
>Thanks in advance for your help.
>Santanu Chatterjee
>xmonad mailing list
>xmonad at haskell.org

More information about the xmonad mailing list